Skip to main content
PUT
/
store
/
{store}
/
kv
/
{key}
Set a value for a key
curl --request PUT \
  --url https://platform.versori.com/api/v2/store/{store}/kv/{key} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "value": "<unknown>",
  "options": {
    "expireIn": 123,
    "expireAt": "2023-11-07T05:31:56Z",
    "refreshOnAccess": true,
    "ifVersionstamp": "<string>",
    "ifNotExists": true,
    "overwrite": true,
    "metadata": {}
  }
}
'
{
  "versionstamp": "<string>",
  "committed": true,
  "ok": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.versori.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.

Path Parameters

store
string<ulid>
required
key
string
required

The key to set data (products/123)

Body

application/json
value
any

The value to store

options
object

Response

200 - application/json

Value set successfully

versionstamp
string
committed
boolean
ok
boolean